
Infrastructure - Task #6158

Replication fails to initialize/start in d1-procesing

2014-08-27 20:32 - Peter Slaughter

Status: Closed Start date: 2014-08-27

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

from cn-dev-ucsb-1.test.dataone.org:/var/log/dataone/daemon/d1-processing-jsvc.err

java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at org.apache.commons.daemon.support.DaemonLoader.start(DaemonLoader.java:243)

Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'replicationEventListener'

defined in URL [file:/etc/dataone/process/applicationContext.xml]: Instantiation of bean failed; nested exception is

org.springframework.beans.BeanInstantiationException: Could not instantiate bean class

[org.dataone.service.cn.replication.v1.ReplicationEventListener]: Constructor threw exception; nested exception is

java.lang.NoClassDefFoundError: org/dataone/client/D1Client

at

org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.instantiateBean(AbstractAutowireCapableBeanFa

ctory.java:997)

at

org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBeanInstance(AbstractAutowireCapableBea

nFactory.java:943)

at

org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFact

ory.java:485)

at

org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactor

y.java:456)

at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:294)

at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:225)

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:291)

at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:193)

at

org.springframework.beans.factory.support.DefaultListableBeanFactory.preInstantiateSingletons(DefaultListableBeanFactory.java:58

5)

at

org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:913)

at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:464)

at org.springframework.context.support.FileSystemXmlApplicationContext.(FileSystemXmlApplicationContext.java:140)

at org.springframework.context.support.FileSystemXmlApplicationContext.(FileSystemXmlApplicationContext.java:84)

at org.dataone.cn.batch.daemon.SchedulerDaemon.start(SchedulerDaemon.java:86)

History

#1 - 2014-08-27 20:45 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2014-08-27 20:46 - Skye Roseboom

- Status changed from In Progress to Testing
libclient dependency conflict.  old version of replication referenced in process-daemon had dependency to old version of libclient which conflicted with

process-deamons declared libclient version.

#3 - 2014-09-15 21:39 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
